| Home | Libraries | People | FAQ | More

##### buffer_params::buffer_params

Initializing constructor.

###### Synopsis

    constexpr
    buffer_params(
        std::size_t initial_read_size = default_initial_read_size);

###### Parameters

Name | Description
--- | ---
`initial_read_size` | Initial size of the read buffer. A bigger read buffer can increase the number of rows returned by `connection::read_some_rows`.